<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$infotext01=($_POST['infotext01']);
$infotext02=($_POST['infotext02']);
$infotext02a=($_POST['infotext02a']);
$infotext03=($_POST['infotext03']);
$infotext03a=($_POST['infotext03a']);
$infotext10=($_POST['infotext10']);
$infotext20=($_POST['infotext20']);
$infotext21=($_POST['infotext21']);
$infotext22=($_POST['infotext22']);
$infotext23=($_POST['infotext23']);
$infotext24=($_POST['infotext24']);
$infotext30=($_POST['infotext30']);
$infotext31=($_POST['infotext31']);
$infotext32=($_POST['infotext32']);
$infotext33=($_POST['infotext33']);
$infotext50=($_POST['infotext50']);
$infotext51=($_POST['infotext51']);
$infotext98=($_POST['infotext98']);
$infotext99=($_POST['infotext99']);
$closePhone=($_POST['closePhone']);
$closeInfoboard=($_POST['closeInfoboard']);
$closecontact=($_POST['closecontact']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[infotext01])<=0){@$_POST[infotext01]="";}
if (strlen(@$_POST[infotext02])<=0){@$_POST[infotext02]="";}
if (strlen(@$_POST[infotext02a])<=0){@$_POST[infotext02a]="";}
if (strlen(@$_POST[infotext03])<=0){@$_POST[infotext03]="";}
if (strlen(@$_POST[infotext03a])<=0){@$_POST[infotext03a]="";}
if (strlen(@$_POST[infotext10])<=0){@$_POST[infotext10]="";}
if (strlen(@$_POST[infotext20])<=0){@$_POST[infotext20]="";}
if (strlen(@$_POST[infotext21])<=0){@$_POST[infotext21]="";}
if (strlen(@$_POST[infotext22])<=0){@$_POST[infotext22]="";}
if (strlen(@$_POST[infotext23])<=0){@$_POST[infotext23]="";}
if (strlen(@$_POST[infotext24])<=0){@$_POST[infotext24]="";}
if (strlen(@$_POST[infotext30])<=0){@$_POST[infotext30]="";}
if (strlen(@$_POST[infotext31])<=0){@$_POST[infotext31]="";}
if (strlen(@$_POST[infotext32])<=0){@$_POST[infotext32]="";}
if (strlen(@$_POST[infotext33])<=0){@$_POST[infotext33]="";}
if (strlen(@$_POST[infotext50])<=0){@$_POST[infotext50]="";}
if (strlen(@$_POST[infotext51])<=0){@$_POST[infotext51]="";}
if (strlen(@$_POST[infotext98])<=0){@$_POST[infotext98]="";}
if (strlen(@$_POST[infotext99])<=0){@$_POST[infotext99]="";}
if (strlen(@$_POST[closePhone])<=0){@$_POST[closePhone]="";}
if (strlen(@$_POST[closeInfoboard])<=0){@$_POST[closeInfoboard]="";}
if (strlen(@$_POST[closecontact])<=0){@$_POST[closecontact]="";}

$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/infotext01=(.+?);/';
$patterns[1]='/infotext02=(.+?);/';
$patterns[2]='/infotext02a=(.+?);/';
$patterns[3]='/infotext03=(.+?);/';
$patterns[4]='/infotext03a=(.+?);/';
$patterns[5]='/infotext10=(.+?);/';
$patterns[6]='/infotext20=(.+?);/';
$patterns[7]='/infotext21=(.+?);/';
$patterns[8]='/infotext22=(.+?);/';
$patterns[9]='/infotext23=(.+?);/';
$patterns[10]='/infotext24=(.+?);/';
$patterns[11]='/infotext30=(.+?);/';
$patterns[12]='/infotext31=(.+?);/';
$patterns[13]='/infotext32=(.+?);/';
$patterns[14]='/infotext33=(.+?);/';
$patterns[15]='/infotext50=(.+?);/';
$patterns[16]='/infotext51=(.+?);/';
$patterns[17]='/infotext98=(.+?);/';
$patterns[18]='/infotext99=(.+?);/';
$patterns[19]='/closePhone=(.+?);/';
$patterns[20]='/closeInfoboard=(.+?);/';
$patterns[21]='/closecontact=(.+?);/';

@$replacements[0]=sprintf("infotext01=%s%s%s;",$t,$_POST[infotext01],$t);
@$replacements[1]=sprintf("infotext02=%s%s%s;",$t,$_POST[infotext02],$t);
@$replacements[2]=sprintf("infotext02a=%s%s%s;",$t,$_POST[infotext02a],$t);
@$replacements[3]=sprintf("infotext03=%s%s%s;",$t,$_POST[infotext03],$t);
@$replacements[4]=sprintf("infotext03a=%s%s%s;",$t,$_POST[infotext03a],$t);
@$replacements[5]=sprintf("infotext10=%s%s%s;",$t,$_POST[infotext10],$t);
@$replacements[6]=sprintf("infotext20=%s%s%s;",$t,$_POST[infotext20],$t);
@$replacements[7]=sprintf("infotext21=%s%s%s;",$t,$_POST[infotext21],$t);
@$replacements[8]=sprintf("infotext22=%s%s%s;",$t,$_POST[infotext22],$t);
@$replacements[9]=sprintf("infotext23=%s%s%s;",$t,$_POST[infotext23],$t);
@$replacements[10]=sprintf("infotext24=%s%s%s;",$t,$_POST[infotext24],$t);
@$replacements[11]=sprintf("infotext30=%s%s%s;",$t,$_POST[infotext30],$t);
@$replacements[12]=sprintf("infotext31=%s%s%s;",$t,$_POST[infotext31],$t);
@$replacements[13]=sprintf("infotext32=%s%s%s;",$t,$_POST[infotext32],$t);
@$replacements[14]=sprintf("infotext33=%s%s%s;",$t,$_POST[infotext33],$t);
@$replacements[15]=sprintf("infotext50=%s%s%s;",$t,$_POST[infotext50],$t);
@$replacements[16]=sprintf("infotext51=%s%s%s;",$t,$_POST[infotext51],$t);
@$replacements[17]=sprintf("infotext98=%s%s%s;",$t,$_POST[infotext98],$t);
@$replacements[18]=sprintf("infotext99=%s%s%s;",$t,$_POST[infotext99],$t);
@$replacements[19]=sprintf("closePhone=%s%s%s;",$t,$_POST[closePhone],$t);
@$replacements[20]=sprintf("closeInfoboard=%s%s%s;",$t,$_POST[closeInfoboard],$t);
@$replacements[21]=sprintf("closecontact=%s%s%s;",$t,$_POST[closecontact],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
